<div class="w-full h-full flex flex-col">
  <nav class="w-full px-4 py-4 bg-gray-800 text-gray-200 shadow-lg flex items-center space-x-4 rounded-b-xl justify-between">
    <h1 class="font-bold text-xl flex-none">
      <img src="./favicon.png" class="rounded-xl h-10 w-10 inline" alt="Snoot Snoot!" />
      <span class="px-2 font-serif">
        Snoot Snoot!
      </span>
    </h1>
    <div>
      <TapThePairs::Lives
        @livesCounter={{this.livesCounter}}
        @maxLives={{this.maxLives}}
      />
    </div>
    <div>
      <TapThePairs::Score
        @score={{this.scoreCounter}}
        @goal={{this.goal}}
      />
    </div>
  </nav>

  {{#if this.isNotStarted}}
    <div class="flex flex-col w-full h-full items-center place-content-around">
      {{!-- <div class="bg-blue-100 border-t border-b border-blue-500 text-blue-700 px-4 py-3" role="alert">
        <h2 class="font-black text-4xl">
          Welcome to Snoot Snoot!
        </h2>
        <p>
          A simple game made to showcase following technologies:
        </p>
        <ul class="pt-4 flex flex-wrap gap-4">
          <Pill @link="https://emberjs.com/" @version="3.22">EmberJS</Pill>
          <Pill @link="https://github.com/FortAwesome/ember-fontawesome" @version="5">Font Awesome</Pill>
          <Pill @link="https://frontile.dev/versions/master/" @version="0.6.0">Frontile</Pill>
          <Pill @link="https://ember-statecharts.com/" @version="4.12.0">Xstate</Pill>
          <Pill @link="https://tailwindcss.com/" @version="1.9.6">tailwindcss</Pill>
          <Pill @link="https://github.com/sinankeskin/ember-animate-css" @version="4">Animate.css</Pill>
        </ul>
        <p class="pt-4">
          You can find the source code on:
          <a class="font-bold" href="https://gitlab.com/michal.bryxi/snoot-snoot">
            gitlab.com/michal.bryxi/snoot-snoot
          </a>
        </p>
      </div> --}}


      <Button @intent="primary" @isXLarge={{true}} {{on "click" this.startGame}}>
        Start the game!
      </Button>
    </div>
  {{else if this.isWon}}
    <div class="flex flex-col w-full h-full items-center place-content-around p-4">
      <Button @intent="success" @isXLarge={{true}}>
        You have won!
      </Button>

      <p class="text-4xl">
        <a href="http://bit.ly/snoot-snoot" class="underline text-blue-700">
          Click here to pick up your prize
        </a>
      </p>
    </div>
  {{else if this.isLost}}
    <div class="flex w-full h-full items-center place-content-around">
      <Button @intent="danger" @isXLarge={{true}} {{on "click" this.reboot}}>
        You lost
      </Button>
    </div>
  {{else}}
    <div class="w-full flex-1 p-4 grid gap-4 grid-cols-{{this.width}} grid-rows-{{this.height}}">
      {{#each this.tiles as |tile|}}
        <TapThePairs::Tile
          @selectedTiles={{this.selectedTiles}}
          @tile={{tile}}
          @onSelect={{this.tileSelected}}
        />
      {{/each}}
    </div>
  {{/if}}
</div>